import { TemplateRef } from '@angular/core';
import { Value } from '../../abstract/value';
/**
 * HTML string of the form-list component.
 */
export declare const formListComponentHtml: string;
/**
 * LF form-list component.
 */
export declare class FormListComponent extends Value {
    formTemplate: TemplateRef<any>;
    private routerService;
    ngOnInit(): void;
    /**
     * Index of this form-list's active child.
     */
    readonly activeChildIndex: number | undefined;
    /**
     * @override
     */
    protected validatePath(): void;
}
